Bug 430073 - Review Request: python-igraph - Python bindings for igraph
Review Request: python-igraph - Python bindings for igraph
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-24 07:37 EST by Neal Becker
Modified: 2014-09-30 15:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-15 13:08:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2008-01-24 07:37:08 EST
Spec URL: https://nbecker.dyndns.org/RPM/python-igraph.spec
SRPM URL: https://nbecker.dyndns.org/RPM/python-igraph-0.4.5-1.fc8.src.rpm
This module extends Python with a Graph class which is capable of
handling arbitrary directed and undirected graphs with thousands of
nodes and millions of edges. Since the module makes use of the open
source igraph library written in almost 100% pure C, it is blazing
fast and outperforms most other pure Python-based graph packages
Comment 1 Krzysztof Kurzawski 2008-01-24 12:11:16 EST
I can't approve your package, but I'd like to help You.

First of all I can't build this SRPM.

Rpmlint warns:
python-igraph.src:27: W: setup-not-quiet
python-igraph.src: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 12)
Comment 2 Neal Becker 2008-01-24 13:15:57 EST
Thank you.

First, please build/install igraph:

Then, please try this updated package.

It should build/install OK, rpmlint and mock OK.
It does have 1 test failure on 64-bit.  I am working with upstream on that 
right now.
Comment 3 Neal Becker 2008-01-24 16:29:28 EST
Please try 

With help from upstream, now all tests pass on x86_64.

rpmlint is silent
mock builds OK
Comment 4 Krzysztof Kurzawski 2008-01-25 12:00:04 EST
So, now the package builds and works fine, but rpmlint warns:
python-igraph.i386: E: explicit-lib-dependency libxml2

You should remove libxml2 from requires, beacuse libxml2-devel requires libxml2.
I want to tell you that you can use %setup -n instead of cd folder commands. I
think that echo $pwd in %prep bloc is unnecessary.

In my opinion it will be better if you merge igraph and python-igraph into one
package. One package is easier to build and install.
Comment 5 Parag AN(पराग) 2008-01-30 06:47:21 EST
Can you build igraph so that I can review this?
Comment 6 Neal Becker 2008-01-30 06:59:13 EST
Waiting on cvs request for igraph
Comment 7 Parag AN(पराग) 2008-01-31 04:56:17 EST
change Source URL
Comment 8 Parag AN(पराग) 2008-02-13 00:55:10 EST
Comment 9 Neal Becker 2008-02-13 06:18:59 EST
igraph is done.  python-igraph is just waiting for review.  I think it's 
ready.  Did I miss something?
Comment 10 Parag AN(पराग) 2008-02-14 23:38:36 EST
(In reply to comment #9)
> igraph is done.  python-igraph is just waiting for review.  I think it's 
> ready.  Did I miss something?

Ok .fine. I was expecting new SRPM with source url updated in SPEC.
Comment 11 Parag AN(पराग) 2008-02-15 00:05:59 EST
+ is Ok
- is Need work

+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=428749
+ rpmlint is silent for SRPM But NOT for RPM.
python-igraph.i386: E: explicit-lib-dependency libxml2
==> Can be ignored.
- source files match with different upstream url
0cac31e94e0d44cb2ffd5dea5d9ac695  python-igraph-0.4.5.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package
+ BuildRequires are proper.
+ Compiler flags honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package python-igraph-0.4.5-6.fc9 =>
  Provides: core.so
  Requires: /usr/bin/python libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4)
libigraph.so.0 libm.so.6 libpthread.so.0 libpthread.so.0(GLIBC_2.0)
libpython2.5.so.1.0 libxml2.so.2 libz.so.1 python(abi) = 2.5 rtld(GNU_HASH)
+ Not a GUI App.
   Add correct Source URL.
Comment 12 Neal Becker 2008-02-15 06:37:01 EST
New Package CVS Request
Package Name: python-igraph
Short Description: Python bindings for igraph
Owners: nbecker
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 13 Kevin Fenzi 2008-02-15 12:10:29 EST
cvs done.
Comment 14 Brian Stinson 2014-09-30 12:25:30 EDT
Package Change Request
Package Name: python-igraph
New Branches: el6 epel7
Owners: pingou bstinson

I would like to co-maintain python-igraph for EL6 and EL7. I talked to pingou on IRC, and he approved
Comment 15 Jon Ciesla 2014-09-30 15:46:55 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.